<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>relationships</title>
        <style>
            body {
                font-family: monospace;
            }

            .rel {
                margin: 1em;
            }

            .depth-0 {
                padding-left: 0;
            }

            .depth-1 {
                padding-left: 2em;
            }

            .depth-2 {
                padding-left: 4em;
            }

            .term-name {
                font-weight: bold;
            }
        </style>
    </head>

    <body>
        <div id="viewport">
            <h1>texts ({{count}})</h1>
            {% for txt in texts %}
            <div class="text">
                <h2>
                    <a href="{% url 'get_text' txt.id %}">{{txt.title}}</a>
                </h2>
                <div class="abstract">{{txt.content|truncatewords:128}}</div>
            </div>
            {% endfor %}
        </div>
    </body>
</html>
